Bug 1467057 - NFS-Ganesha doesn't work on Gluster bricks with name that ends with "w0"
NFS-Ganesha doesn't work on Gluster bricks with name that ends with "w0"
Status: NEW
Product: GlusterFS
Classification: Community
Component: ganesha-nfs (Show other bugs)
3.10
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-02 06:24 EDT by Jan
Modified: 2017-07-03 15:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan 2017-07-02 06:24:44 EDT
Description of problem:
If you enable Ganesha on Gluster brick with name for example "w0" or "sw0" then it doesn't work. There is something wrong with string "w0" at the end of brick name.

Version-Release number of selected component (if applicable):
CentOS
uname -r
3.10.0-514.21.2.el7.x86_64
and also tested with:
3.10.0-514.26.1.el7.x86_64

yum list installed | egrep 'gluster|ganesha'
centos-release-gluster310.noarch     1.0-1.el7.centos         @extras

glusterfs.x86_64                     3.10.2-1.el7
@centos-gluster310
glusterfs-api.x86_64                 3.10.2-1.el7
@centos-gluster310
glusterfs-cli.x86_64                 3.10.2-1.el7
@centos-gluster310
glusterfs-client-xlators.x86_64      3.10.2-1.el7
@centos-gluster310
glusterfs-fuse.x86_64                3.10.2-1.el7
@centos-gluster310
glusterfs-ganesha.x86_64             3.10.2-1.el7
@centos-gluster310
glusterfs-libs.x86_64                3.10.2-1.el7
@centos-gluster310
glusterfs-server.x86_64              3.10.2-1.el7
@centos-gluster310
libntirpc.x86_64                     1.4.3-1.el7
 @centos-gluster310
nfs-ganesha.x86_64                   2.4.5-1.el7
 @centos-gluster310
nfs-ganesha-gluster.x86_64           2.4.5-1.el7
 @centos-gluster310
userspace-rcu.x86_64                 0.7.16-3.el7
@centos-gluster310

How reproducible:
Install and configure 3x node Gluster, with following bricks:
Name: w0, Path: /st/w0/0/   (w0  is mounted XFS filesystem)
Name: sw0, Path: /st/sw0/0/ (sw0 is mounted XFS filesystem)
and some other just for test

Create bricks: w0 and sw0

Check exports directory:
ls -l /var/run/gluster/shared_storage/nfs-ganesha/exports/

export.w0.conf  - does NOT exist
export.sw0.conf - exists but it doesn't work after reboot

Reboot
Start NFS-Ganesha service and check:
showmount -e localhost
If you have other bricks that they will show but "w0" and "sw0" will not show - it doesn't work.
Comment 1 Jan 2017-07-03 05:12:21 EDT
Tested with Gluster version 3.10.3. Issue remains.
Comment 2 Kaleb KEITHLEY 2017-07-03 07:37:11 EDT
please attach the /etc/ganesha/ganesha.conf file.

You have to configure an EXPORT block in the ganesha.conf file. Ganesha doesn't do anything with gluster bricks. The EXPORT block tells the FSAL_GLUSTER which gluster volume to export.

E.g.:
  gluster volume create mynfsvol $host:/$path-to-brick
  gluster volume start mynfsvol

then /etc/ganesha/ganesha.conf has an export block for the gluster volume:

...
  	FSAL {
		Name = GLUSTER;
		Hostname = localhost;
		Volume = mynfsvol;
	}
...

Then start nfs-ganesha
Comment 3 Jan 2017-07-03 15:01:30 EDT
ganesha.conf contains following lines

%include "/var/run/gluster/shared_storage/nfs-ganesha/exports/export.bri3.conf"

this is content is autogenerated when I enable Ganesha on a specified brick using command:

sudo gluster vol set "bri3" ganesha.enable on

Note You need to log in before you can comment on or make changes to this bug.